aboutsummaryrefslogtreecommitdiffstats
path: root/texlive-europecv/watch
diff options
context:
space:
mode:
Diffstat (limited to 'texlive-europecv/watch')
-rwxr-xr-xtexlive-europecv/watch21
1 files changed, 21 insertions, 0 deletions
diff --git a/texlive-europecv/watch b/texlive-europecv/watch
new file mode 100755
index 0000000..51ec975
--- /dev/null
+++ b/texlive-europecv/watch
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+[ -f europecv.release ] && rm europecv.release
+
+wget 'http://mirror.ctan.org/macros/latex/contrib/europecv.zip' -O europecv.release >/dev/null 2>/dev/null
+
+if [ $? = 0 ]; then
+ [ -f unfetchable ] && rm unfetchable
+ md5sum europecv.release > new-sum
+ touch sum
+ if [ "$(cat sum)" = "$(cat new-sum)" ]; then
+ rm new-sum
+ else
+ mv new-sum sum
+ echo 'texlive-europecv'
+ fi
+elif [ ! -f unfetchable ]; then
+ touch unfetchable
+ echo 'texlive-europecv (unfetchable)'
+fi
+